Name:           perl-CSS
Version:        1.08
Release:        11%{?dist}
Summary:        Object oriented access to Cascading Style Sheets (CSS)
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CSS/
Source0:        http://www.cpan.org/modules/by-module/CSS/CSS-%{version}.tar.gz
Source1:        perl-CSS-build-grammar.pl
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker) perl(Parse::RecDescent)
BuildRequires:  perl(Test::Simple) dos2unix glibc-common
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This module can be used, along with a CSS::Parse::* module, to parse
CSS data and represent it as a tree of objects. Using a
CSS::Adaptor::* module, the CSS data tree can then be transformed into
other formats.

%prep
%setup -q -n CSS-%{version}

# Regenerate CSS::Parse::CompiledGrammar (#564808, CPAN RT#53948)
%{__perl} %{SOURCE1}
mv CompiledGrammar.pm CSS/Parse/

mv Changes Changes.iso88591
iconv -f ISO-8859-1 -t UTF-8 -o Changes Changes.iso88591
touch -r Changes.iso88591 Changes
rm -f Changes.iso88591
dos2unix -k examples/{dump,parsers,adapt}.pl Changes README t/css_simple

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}

%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{__install} -D -p -m 0644 t/css_simple examples/t/css_simple

%{_fixperms} %{buildroot}/*

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc Changes README examples
%{perl_vendorlib}/CSS.pm
%{perl_vendorlib}/CSS
%{_mandir}/man3/CSS.*
%{_mandir}/man3/CSS::*

%changelog
* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.08-11
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.08-9
- 661697 rebuild for fixing problems with vendorach/lib

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.08-8
- Mass rebuild with perl-5.12.0

* Thu Feb 18 2010 Terje Rosten <terje.rosten@ntnu.no> - 1.08-7
- Add patch from Paul Howarth to fix bz #564808, thanks!

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 1.08-6
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun May  1 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.08-3
- Fix broken build

* Thu Apr 24 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.08-2
- Ship t/css_simple

* Wed Apr 23 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.08-1
- 1.08 
- Fix license
- Simplify find options
- Fix file endings

* Sat Sep 23 2007 Terje Rosten <terje.rosten@ntnu.no> - 1.07-2
- Add perl(Test::Simple) to buildreq
- Move iconv to %%prep
- Include examples in %%docs

* Fri Sep 21 2007 Terje Rosten <terje.rosten@ntnu.no> - 1.07-1
- Add Parse::RecDescent to buildreq
- Specfile autogenerated by cpanspec 1.73
